Export Binder
Use this request to export the latest version of a binder in your Vault. This request exports the complete binder, including all binder sections, document metadata, and source files. The version binding rule configured for the binder, section, or binder document determines which document versions are exported. Learn more about exporting binders in Vault Help
POST
/api/{version}/objects/binders/{binder_id}/actions/exportHeaders
Section link for Headers| Name | Description |
|---|---|
Accept | application/json (default) or application/xml |
URI Path Parameters
Section link for URI Path Parameters| Name | Description |
|---|---|
{binder_id} | The binder id field value. |
Query Parameters
Section link for Query Parameters| Name | Description |
|---|---|
source | Set to false to exclude source files from the export. If omitted, this defaults to true and the export will include source files. |
renditiontype | To include renditions in the export, add the parameter renditiontype={rendition_type} to the request endpoint. Rendition types may vary depending on your Vault’s configuration. Valid rendition types include:
|
name | To define a document naming rule, which is the document field to use for naming exported files, add the parameter name={field} to the request endpoint. If omitted, defaults to name__v. Valid document field values include:
|
docversion | To override the binding rule and export all major versions of each document in the binder, add the parameter docversion=major to the request endpoint. To override the binding rule and export all major and minor versions of each document, add the parameter docversion=major_minor to the request endpoint. |
attachments | To export binder attachments, include the parameter attachments=all to export all versions of all attachments or attachments=latest to export the latest version of all attachments. |
docfield | Set to false to exclude document metadata from the export. If omitted, this defaults to true and the export will include document metadata. |
Request
Section link for Requestcurl -X POST -H "Authorization: {SESSION_ID}" \
https://myvault.veevavault.com/api/v26.1/objects/binders/454/actions/exportResponse
Section link for Response{
"responseStatus": "SUCCESS",
"responseMessage": "Job for Binder Export Started",
"URL": "https://myvault.veevavault.com/api/v26.1/services/jobs/1201",
"job_id": 1201
}Response Details
Section link for Response DetailsOn SUCCESS, the response includes the following information:
url- The URL to retrieve the current status of the binder export job.job_id- The Job ID value is used to retrieve the status and results of the binder export request.